For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
SupportLog InSign Up
GuidesAPI Reference
GuidesAPI Reference
  • Tax Rates
    • GETGet Tax Rates (v5.0)
  • Merchant
    • POSTCreate Merchant
    • POSTUpdate Merchant
    • POSTDelete Merchant
    • POSTGet Merchant
    • GETList Merchants
    • POSTSet Merchant Credentials
    • POSTGet Merchant Credentials
    • POSTDelete Merchant Credentials
  • Data
    • GETGet TIC Codes
  • System
    • GETHealth Check
    • GETGet System Metadata
  • Ziptax API
SupportLog InSign Up
Tax Rates

Get Tax Rates (v5.0)

GET
https://api.ziptax.com/request/v50
GET
/request/v50
$curl -G https://api.ziptax.com/request/v50 \
> -H "X-API-KEY: <apiKey>" \
> -d key=your-api-key \
> -d format=json \
> -d countryCode=USA \
> -d postalcode=postalcode \
> -d address=address \
> -d state=state \
> -d stateCode=stateCode \
> -d city=city \
> -d county=county \
> -d lat=1.1 \
> -d lng=1.1 \
> -d adjustment=adjustment \
> -d sat_item_total=1.1 \
> -d historical=historical
1{
2 "addressDetail": {
3 "geoLat": 1.1,
4 "geoLng": 1.1,
5 "incorporated": "incorporated",
6 "normalizedAddress": "normalizedAddress"
7 },
8 "rCode": 1000000,
9 "version": "version",
10 "results": [
11 {
12 "citySalesTax": 1.1,
13 "cityTaxCode": "cityTaxCode",
14 "cityUseTax": 1.1,
15 "countySalesTax": 1.1,
16 "countyTaxCode": "countyTaxCode",
17 "countyUseTax": 1.1,
18 "district1Code": "district1Code",
19 "district1SalesTax": 1.1,
20 "district1UseTax": 1.1,
21 "district2Code": "district2Code",
22 "district2SalesTax": 1.1,
23 "district2UseTax": 1.1,
24 "district3Code": "district3Code",
25 "district3SalesTax": 1.1,
26 "district3UseTax": 1.1,
27 "district4Code": "district4Code",
28 "district4SalesTax": 1.1,
29 "district4UseTax": 1.1,
30 "district5Code": "district5Code",
31 "district5SalesTax": 1.1,
32 "district5UseTax": 1.1,
33 "districtSalesTax": 1.1,
34 "districtUseTax": 1.1,
35 "geoCity": "geoCity",
36 "geoCounty": "geoCounty",
37 "geoPostalCode": "geoPostalCode",
38 "geoState": "geoState",
39 "originDestination": "originDestination",
40 "stateSalesTax": 1.1,
41 "stateUseTax": 1.1,
42 "taxSales": 1.1,
43 "taxUse": 1.1,
44 "txbFreight": "txbFreight",
45 "txbService": "txbService"
46 }
47 ],
48 "satTaxDetail": {
49 "appliedTotal": "appliedTotal",
50 "countyTaxRate": "countyTaxRate",
51 "localTaxLimit": "localTaxLimit",
52 "localTaxTotal": "localTaxTotal",
53 "stateAdditionalTaxTotal": "stateAdditionalTaxTotal"
54 }
55}

Returns comprehensive tax rates with geocoding support, multi-district breakdown, and Tennessee Single Article Tax calculations. Supports both USA and Canada.

Was this page helpful?

Create Merchant

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Query parameters

keystringOptional10-100 characters
API key for authentication
formatenumOptionalDefaults to json
Response format
Allowed values:
countryCodeenumOptionalDefaults to USA

Country code (USA/CAN)

Allowed values:
postalcodestringOptionalformat: "^[0-9]{5}$"=5 characters

5-digit postal code

addressstringOptional<=100 characters
Street address for geocoding
statestringOptional<=50 characters
State name or abbreviation
stateCodestringOptionalformat: "^[A-Z]{2}$"=2 characters
State code
citystringOptional<=50 characters
City name
countystringOptional<=50 characters
County name
latdoubleOptional-90-90
Latitude coordinate
lngdoubleOptional-180-180
Longitude coordinate
adjustmentstringOptional<=100 characters
Address adjustment parameter
sat_item_totaldoubleOptional>=0
Single Article Tax item total for Tennessee
historicalstringOptionalformat: "^[0-9]{6}$"
Historical date for rates

Response

OK
addressDetailobject
Address details
rCodelong

Response code (100=success)

versionstring
API version
resultslist of objects
Tax rate results
satTaxDetailobject
Tennessee Single Article Tax details

Errors

400
Get Tax Rates V50request Bad Request Error
401
Get Tax Rates V50request Unauthorized Error
422
Get Tax Rates V50request Unprocessable Entity Error
429
Get Tax Rates V50request Too Many Requests Error
500
Get Tax Rates V50request Internal Server Error